# OR07 - Update order line shipping origin

Description

Update shipping origin (shipping_from) information on order lines. A maximum of 100 order lines can be sent at once.


Call Frequency

Recommended usage: At each update of shipping origin on one or multiple order lines
Maximum usage: 60 per hour, 100 order lines per call

Endpoint: PUT /api/orders/shipping_from

## Request fields (application/json):

  - `order_lines` (array, required)
    Order lines to be updated, maximum number of order lines per call: 100

  - `order_lines.id` (string, required)
    Order line identifier

  - `order_lines.shipping_from` (object, required)
    Shipping origin (country, full address or warehouse) of the order line

  - `order_lines.shipping_from.address` (object)
    The address from where the offer is shipped

  - `order_lines.shipping_from.address.city` (string)
    Address City

  - `order_lines.shipping_from.address.country_iso_code` (string, required)
    Address Country ISO 3166-1 alpha-3 code (3 letters country code)

  - `order_lines.shipping_from.address.state` (string)
    Address State

  - `order_lines.shipping_from.address.street_1` (string)
    First information line of the address street

  - `order_lines.shipping_from.address.street_2` (string)
    Second information line of the address street

  - `order_lines.shipping_from.address.zip_code` (string)
    Address zip code, mandatory except for: Bahrain, Chile, Egypt, Hong-Kong, Kuwait, Oman, Peru, Qatar, Saudi Arabia, United Arab Emirates or Uruguay

  - `order_lines.shipping_from.warehouse` (object)
    The warehouse from where the offer is shipped

  - `order_lines.shipping_from.warehouse.code` (string)
    The code of the warehouse

## Response 200 fields (application/json):

  - `order_lines` (array)
    A list containing each order line of the request, stating if the update was performed or failed.

  - `order_lines.errors` (array)
    List of errors encountered when updating the shipping_from data on order line

  - `order_lines.errors.code` (string, required)
    Error code

  - `order_lines.errors.field` (string, required)
    Name of the field on the input object. Can be composed, e.g.: address.zip_code

  - `order_lines.errors.message` (string, required)
    Error message

  - `order_lines.id` (string, required)
    Order line identifier

  - `order_lines.updated` (object)
    Updated shipping origin (country, full address or warehouse) of the order line

  - `order_lines.updated.address` (object)
    The address from where the offer is shipped

  - `order_lines.updated.address.city` (string)
    Address City

  - `order_lines.updated.address.country_iso_code` (string, required)
    Address Country ISO 3166-1 alpha-3 code (3 letters country code)

  - `order_lines.updated.address.state` (string)
    Address State

  - `order_lines.updated.address.street_1` (string)
    First information line of the address street

  - `order_lines.updated.address.street_2` (string)
    Second information line of the address street

  - `order_lines.updated.address.zip_code` (string)
    Address zip code

  - `order_lines.updated.warehouse` (object)
    The warehouse from where the offer is shipped

  - `order_lines.updated.warehouse.code` (string)
    The code of the warehouse


## Response 400 fields
